#ifndef __PROJECT_VAR_H
#define __PROJECT_VAR_H
#include "includes.h"

typedef unsigned long long INT64U;
typedef signed long long   INT64S;

#define __DEBUG // 调试用

#ifdef __DEBUG
#define DEBUG(format, ...) printf(format, ##__VA_ARGS__)
#else
#define DEBUG(...)
#endif

// project version
#define SW_VERSION_HD0 'C'
#define SW_VERSION_HD1 'C'
#define SW_VERSION_HD2 'U'
#define SW_VERSION_PJ0 0
#define SW_VERSION_PJ1 0
#define SW_VERSION0    1
#define SW_VERSION1    0
#define SW_VERSION2    2

#endif
